import { createRouter, createWebHistory } from 'vue-router'
import routes from './routes' // 导入路由定义

const router = createRouter({
  history: createWebHistory('faceFamily'),
  routes
})

// 全局前置守卫
router.beforeEach((to, from, next) => {
  next()
})

export default router